Name:           lonote
Version:        3.0.3
Release:        1%{?dist}
Summary:        Personal Notebook based on Qt Webkit
License:        ASL 2.0
URL:            https://bitbucket.org/civalin/lonote
Source0:        https://bitbucket.org/civalin/%{name}/downloads/%{name}-%{version}.zip

BuildArch:      noarch
BuildRequires:  python3-devel >= 3.2
BuildRequires:  desktop-file-utils
Requires:       python3-bottle
Requires:       python3-whoosh
Requires:       python3-lxml
Requires:       python3-beautifulsoup4
Requires:       python3-mako

%description
LoNote is a Note-Taking software based on Python3 and PyQt4. Each page is
saved in HTML format and the program is actually a WYSIWYG HTML editor
specialized for note-taking convenience.

%prep
%setup
# Remove bundled bottle.py
rm lonotelib/bottle.py*

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --root=%{buildroot} --skip-build

# Remove duplicated manpage
rm -r %{buildroot}%{_docdir}/%{name}/man

rm -r %{buildroot}%{_datadir}/%{name}/garbage

# Remove bundled packages
rm -r %{buildroot}%{python3_sitelib}/lonotelib/{bs4,whoosh,mako}
chmod -x %{buildroot}%{_datadir}/lonote/server/static/glyphicons/fonts/glyphiconshalflings-regular.svg

# validate the desktop entry file
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

find %{buildroot}%{_datadir}/locale -name \*po |xargs rm
%find_lang %{name}

%files -f %{name}.lang
%{_docdir}/%{name}/
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{python3_sitelib}/*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.*


%changelog
* Thu Oct 10 2013 Robin Lee <cheeselee@fedoraproject.org> - 3.0.3-1
- Update to 3.0.3
- Requires python3-beautifulsoup4 python3-mako

* Tue Oct  1 2013 Robin Lee <cheeselee@fedoraproject.org> - 2.2.3-1
- Update to 2.2.3

* Wed Aug  7 2013 Robin Lee <cheeselee@fedoraproject.org> - 2.2.2-1
- Update to 2.2.2
- Use unversioned docdir (BZ#993915)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul  9 2013 Robin Lee <cheeselee@fedoraproject.org> - 2.2.1-1
- Update to 2.2.1, program re-written upstream

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Oct 24 2012 Robin Lee <cheeselee@fedoraproject.org> - 1.8.7-1
- Update to 1.8.7

* Wed Oct 10 2012 Robin Lee <cheeselee@fedoraproject.org> - 1.8.6-2
- Fix and validate the desktop entry file

* Tue Oct  9 2012 Robin Lee <cheeselee@fedoraproject.org> - 1.8.6-1
- Submit for Fedora
